//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

void* linkedlist_Add(void** ptr, const void* item, int itemsize);
void* linkedlist_Append(void** ptr, const void* item, int itemsize);
void* linkedlist_NextItem(void* item);
void linkedlist_RemoveItem(void** list, void* item);
void linkedlist_Free(void** item);
void* linkedlist_GetData(void* item);
void linkedlist_SetData(void* item, void* ptr);

int stringlist_CheckItem(void* list, const char* str);
int intlist_CheckItem(void* list, int number);

#ifndef NONATIVEWEIRCD
int masklist_CheckItem(void* list, const char* str);
#endif

void** linkedlist_ArrayFromList(void* list);

extern int LLISTDEBUG;