//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef NONATIVEWEIRCD
#include "weircd.h"
#endif

char updateerror[500] = "";
void* contents = NULL;

int updateconf_GetVersion() {
	int maxbuflen = 300;
	char buf[300] = "";
	if (creader_Init() < 0) {
		return -1;
	}
	int c = creader_GetC();
	while (c != CONFEOF) {
		//fetch lines
		if (c != ';' && c != '\n') {
			addtobuf(buf,c,maxbuflen);
		}else{
			trimright(buf);trimleft(buf);
			if (strstw(buf,"Version=") == 0) {
				cut(buf,strlen("Version="));
				creader_Close();
				if (strcasecmp(buf,"0.7") == 0 || strcasecmp(buf,"0.7.2") == 0) {
					return CONFV0_7;
				}
				return CONFVBORKED;
			}
			strcpy(buf,"");
		}
		c = creader_GetC();
	}
	creader_Close();
	return CONFV0_6;
}
