//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>

//----------------------------------------------------------//
//     ///////////////////////////////////////////          //
//     //////       COMPILE OPTIONS        ///////          //
//     ///////////////////////////////////////////          //
//      f e e l    f r e e    t o    m o d i f y            //
//----------------------------------------------------------//


#define COMPILEOPTION_MAXGLINES 60 //more doesn't really make sense as they need to be few enough for a complete list of them being printed out when doing /gline list
#define COMPILEOPTION_MAXKLINES 60 //same goes for this

#define COMPILEOPTION_PINGFREQUENCY 120

#define COMPILEOPTION_IPSTORAGESIZE 50000 //should be (much) bigger than max users

#define COMPILEOPTION_LINKRECONNECTTIME 60 //default retry time for active links where connecting failed

#define COMPILEOPTION_LISTMODE 997 //better don't change this if you have no good reason for it

//maximum len of different string values, e.g. the user's host, the nick etc. (it's better not to change this too much)
#define COMPILEOPTION_MAXHOSTLEN 60
#define COMPILEOPTION_MAXNICKLEN 25
#define COMPILEOPTION_MAXAWAYLEN 200
#define COMPILEOPTION_MAXREALNAMELEN 50
#define COMPILEOPTION_MAXUSERIDLEN 10

//----------------------------------------------------------//
//     ///////////////////////////////////////////          //
//     //////    END of compile options    ///////          //
//     ///////////////////////////////////////////          //
//                                                          //
//----------------------------------------------------------//